Entendiendo el funcionamiento de Virtuemart  

Página 1 / 4
 
Rodra
 Rodra
Honorable Member

He descargado lor archivos de la version VirtueMart 1.1.7 (stable) y no he podido instalarla por el siguiente error:
¡Error! No puedo encontrar un archivo de configuración XML para Joomla! en el paquete
Posteriormente descargue otro archivo desde la misma pagina y sigo con el mismo problema.

Pregunto Virtruermart se instala como cualquier extension de Joomla o tiene un proceso diferente?

Citar
Respondido : 20/02/2011 12:01 am
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola felipergueza,

¿ Podrías indicar exactamente que archivo estas intentando instalar? la url de descarga concreta de dicho fichero y desde que versión de Joomla! tratas de instalar VirtueMart.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 20/02/2011 12:08 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Rodra
 Rodra
Honorable Member

La version de Joomla es la 1.5.22 y lel archivo de Virtruemart Patch Package (1.1.6->1.1.7) tambien Patch Package (1.1.2->1.1.7) y Complete Package.

Ninguno me ha funcionado.

ResponderCitar
Respondido : 20/02/2011 12:19 am
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola felipergueza,

Lógico, si bajas un "patch" lo que debes hacer es el "upgrade" desde la versión anterior de VirtueMart ya instalada, o sea desde Configuración de VM, Comprobar actualizaciones, Upload a Patch Package y ahí es donde coges el archivo que has descargado que se corresponda con la versión actual tuya y a la que quieres subir.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 20/02/2011 12:43 am

Cursos Gratuitos WordPress

Rodra
 Rodra
Honorable Member

Entonces de donde descargo el Virtruemart para que posteriormente le instale Upload a Patch Package.

ResponderCitar
Respondido : 20/02/2011 12:48 am
Rodra
 Rodra
Honorable Member

He instalado el componente com_virtuemart_1.1.7.j15.zip de la siguientge direccion http://joomlacode.org/gf/project/virtuemart/frs/?action=FrsReleaseView&release_id=14091 y tambien me arroja el siguiente error hubo un error subiendo ese archivo al servidor

ResponderCitar
Respondido : 20/02/2011 1:13 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola felipergueza,

Te lo pongo más fácil, si no tienes ningún VirtueMart instalado "no necesitas patch alguno" y en este caso te bajas directamente la versión 1.1.7 de VirtueMart del enlace que te facilite antes, y que te pongo aqui ahora directo al archivo a descargar y lo instalas como una extensión normal.

- http://dev.virtuemart.net/attachments/download/194/VirtueMart_1.1.7-COMPLETE_PACKAGE.j15.zip

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 20/02/2011 1:14 am
Rodra
 Rodra
Honorable Member

Gracias gnumax pero sigo sin poder instalar el archivo que me mandaste yaque me indica lo siguiente hubo un error subiendo ese archivo al servidor

Algo raro esta pasando ya que la instalacion de Joomla 1.5.22 es nueva, aparte he instalado algunas otras extensiones de joomla y estas si se instalan sin problema alguno.

ResponderCitar
Respondido : 20/02/2011 1:21 am

wpdoctor-revisa-la-salud-de-tu-wordpress

Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola felipergueza,

Es normal que te de dicho error, debes descomprimir primero el archivo que has descargado y en el interior encontraras el componente que debes instalar así como las carpetas de módulos y plugins a instalar para tener una instalación lo más completa posible.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 20/02/2011 1:42 am
Rodra
 Rodra
Honorable Member

He descomprimido el archivo y como resultado obtengo solamente las carpetas de Virtruemart pero no encuentro dichos archivos comprimidos para la instalacion, no creo que se puedan instalar carpetas de archivos.

Nota: Aparte de las carpetas hay un pach comprimido lo he instalado y no pasa nada ya que continuo con el mismo error.
¡Error! No puedo encontrar un archivo de configuración XML para Joomla! en el paquete.

ResponderCitar
Respondido : 20/02/2011 3:29 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola felipergueza,

Lo que dices es imposible, si has descargado el pack que te he puesto en el enlace: http://dev.virtuemart.net/attachments/download/194/VirtueMart_1.1.7-COMPLETE_PACKAGE.j15.zip eso te descarga un archivo que al descomprimirlo te muestra algo como lo que pongo en la siguiente captura y ahí se ve perfectamente el componente a instalar.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 20/02/2011 4:09 am
Rodra
 Rodra
Honorable Member

He descargado la siguiente version de VirtueMart_1.1.6-COMPLETE_PACKAGE.j15.zip la he descomprimido y ahora si esta el com_virtuemart_1.1.6.j15 ademas las dos carpetas restantes de modulos, plugins y ahora si continenen todos los archivos comprimidos.

Empece instalando el componente de virtruermart pero aun sigo con los mismos problemas de instalacion hubo un error subiendo ese archivo al servidor.

Nota: Este proceso lo estoy haciendo en local.

ResponderCitar
Respondido : 20/02/2011 4:17 am

Cursos Gratuitos WordPress

Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola felipergueza,

Parece que yo te explico una cosa tu descargas otra 😉 yo te indico en un enlace que descargues el archivo "VirtueMart_1.1.7-COMPLETE_PACKAGE.j15.zip" que se corresponde con la 1.1.7 y tu me dices que estas instalando la 1.1.6, no lo entiendo.

Sea como fuere, si en local te da error mira los permisos de tus carpetas o si el Firewall de tu antivirus o del sistema operativo que uses te esta impidiendo la instalación.

Si desempaquetas el archivo que te he comentado o sugerido y ves en el interior el archivo "com_virtuemart_1.1.7.j15.zip" y procedes a instalarlo no tiene porque darte un error de "xml" si te da otro error, tal como comentas, revisa las condiciones de tu servidor, que versión de PHP tienes, etc., ¡en fin! B) lo de siempre que tantas y tantas veces comentamos aquí.

En local es un poco complicado trabajar porque hay bastantes limitaciones y es importante que leas mucha documentación de como funcionan las aplicaciones tipo XAMPP, LAMPP o AppServ antes de meterte a fondo con ellas sino siempre te encontrarás con este tipo de problema que cuesta resolver porque no acabas de acertar con el procedimiento.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 20/02/2011 4:26 am
Rodra
 Rodra
Honorable Member

Parece que yo te explico una cosa tu descargas otra yo te indico en un enlace que descargues el archivo "VirtueMart_1.1.7-COMPLETE_PACKAGE.j15.zip" que se corresponde con la 1.1.7 y tu me dices que estas instalando la 1.1.6, no lo entiendo.

Gnumax por todos los medios he intentado instalar la version que tu me has indicado pero simplemete joomla no lo instala.
Por otro lado intente instalar la version de Virtruemart 1.1.6 segun yo si este me funcionaba posteriormernte solo lo actualizaria ala version 1.1.7 pero tampoco esto me funciono.

ResponderCitar
Respondido : 20/02/2011 4:36 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Rodra
 Rodra
Honorable Member

Si desempaquetas el archivo que te he comentado o sugerido y ves en el interior el archivo "com_virtuemart_1.1.7.j15.zip" y procedes a instalarlo no tiene porque darte un error de "xml" si te da otro error, tal como comentas, revisa las condiciones de tu servidor, que versión de PHP tienes, etc., ¡en fin! lo de siempre que tantas y tantas veces comentamos aquí.

Sistema Operativo: Windwos 7 Ultimate 64 Bits.
Estoy ocupando la ultima version de Wampserver la cual cuenta con las siguientes caracteristicas:

WampServer 2.1d (64 bits)
(december 27 2010)
Apache 2.2.17
Php 5.3.4
Mysql 5.1.53
PhpMyadmin 3.2.0.1
SQLBuddy 1.3.2
XDebug 2.1.0-5.3
webGrind 1.0

En local es un poco complicado trabajar porque hay bastantes limitaciones y es importante que leas mucha documentación de como funcionan las aplicaciones tipo XAMPP, LAMPP o AppServ antes de meterte a fondo con ellas sino siempre te encontrarás con este tipo de problema que cuesta resolver porque no acabas de acertar con el procedimiento.

Entiendo que en local existan muchas limitaciones ya que eso lo he comprobado muchas veces pero se me hace dificil creer que en local no se pueda instalar Virtruemart.

En lo personal quiero entender el funcionamiento de Virtruemart con todo y que no pienso utilizar todo su potencial ya que para el proyecto que lo necesito me basta con las siguientes caracteristicas:

Categorias de productos
Gallerias de productos
Impresion de Productos
Buscador de Productos

ResponderCitar
Respondido : 20/02/2011 4:48 am
Página 1 / 4

Por favor Iniciar Sesión o Registro